Import an exception list
Base URL
https://{kibana_url}
POST
/api/exception_lists/_import
POST
/s/{space_id} /api/exception_lists/_import
Auth
Import an exception list and its associated items from an NDJSON file.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
overwrite
boolean · default: false
Determines whether existing exception lists with the same list_id are overwritten.
If any exception items have the same item_id, those are also overwritten.
overwrite_exceptions
boolean · default: false
overwrite_action_connectors
boolean · default: false
as_new_list
boolean · default: false
Determines whether the list being imported will have a new list_id generated.
Additional item_id's are generated for each exception item. Both the exception
list and its items are overwritten.
file
string · format: binary
A .ndjson file containing the exception list
errors
object []
required
−
Hide 4 properties
error
object
required
−
Hide 2 properties
status_code
integer
required
id
string · format: nonempty · min length: 1
A string that does not contain only whitespace characters
item_id
string · format: nonempty · min length: 1
A string that does not contain only whitespace characters
list_id
string · format: nonempty · min length: 1
A string that does not contain only whitespace characters
success_count
integer · min: 0
required
success_count_exception_list_items
integer · min: 0
required
success_count_exception_lists
integer · min: 0
required
success_exception_list_items
boolean
required
success_exception_lists
boolean
required
400
Invalid input data response
application/json
One of:
−
Hide 2 properties
status_code
integer
required
401
Unsuccessful authentication response
application/json
statusCode
integer
required
403
Not enough privileges response
application/json
statusCode
integer
required
500
Internal server error response
application/json
status_code
integer
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
POST kbn:/api/exception_lists/_import
Generated from the API spec
1
2
curl -X POST "${KIBANA_URL}/api/exception_lists/_import" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
{
"errors": [
{
"error": {
"message": "string",
"status_code": 0
},
"id": "string",
"item_id": "string",
"list_id": "string"
}
],
"success": false,
"success_count": 0,
"success_count_exception_list_items": 0,
"success_count_exception_lists": 0,
"success_exception_list_items": false,
"success_exception_lists": false
}
Generated from the API spec
1
2
3
4
5
{
"error": "string",
"message": "string",
"statusCode": 0
}
Generated from the API spec
1
2
3
4
5
{
"error": "string",
"message": "string",
"statusCode": 0
}
Generated from the API spec
1
2
3
4
5
{
"error": "string",
"message": "string",
"statusCode": 0
}
Generated from the API spec
1
2
3
4
{
"message": "string",
"status_code": 0
}
Generated from the API spec